using System;
using System.Collections.Generic;
using System.Text;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Classes
{
    public class Functions
    {
        public static Control RecursiveFindControl(Control parent, string ControlIDName)
        {
            // This is a check to ensure we return the control if the PARENT is the control
            if (parent.ID == ControlIDName) // Success!
                return parent;

            if (parent.HasControls())
            {
                // Iterate over the controls
                for (int i = 0; i < parent.Controls.Count; i++)
                {
                    Control foundCtrl = RecursiveFindControl(parent.Controls[i], ControlIDName);
                    if (foundCtrl != null)
                        return foundCtrl;
                }
            }

            // Nothing was found
            return null;
        }

        public static void SetCurrentPage(MasterPage master, string hlName)
        {
            // Set the live menu link
            HyperLink hlCurrent = (HyperLink)Classes.Functions.RecursiveFindControl(master, hlName);
            if (hlCurrent != null)
            {
                hlCurrent.ForeColor = System.Drawing.Color.FromName("#b00f2d");
                hlCurrent.Attributes.Add("onclick", "return false;");
            }
        }

        public static bool CheckEmail(string EmailAddress)
        {
            string strPattern = "^([0-9a-zA-Z]([-.\\w]*[0-9a-zA-Z])*@([0-9a-zA-Z][-\\w]*[0-9a-zA-Z]\\.)+[a-zA-Z]{2,9})$";
    
            if (System.Text.RegularExpressions.Regex.IsMatch(EmailAddress, strPattern))
            {
                return true;
            }
            
            return false;
        }
    }
}
